Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - w -

- w : area_rect, gen234_state
- w_ratio : minimap_view
- wait : audio_plugin
- waited : pf_danger_node
- waited_queue : pf_fuel_map
- wakeup_focus : client_options
- wall : named_sprites
- walls : city, packet_city_info, packet_city_short_info, vision_site
- wallvalue : ai_city
- wan_widget : fc_client
- want : adv_choice, ai_tech_choice, packet_worker_task, worker_task
- want_dsend : generate_packets.Packet
- want_force : generate_packets.Packet, generate_packets.Variant
- want_lsend : generate_packets.Packet
- want_post_recv : generate_packets.Packet
- want_post_send : generate_packets.Packet
- want_pre_send : generate_packets.Packet
- want_to_explore : ai_type
- wants : texai_tile_state
- wants_science : adv_data
- war_reason : ai_dip_intel
- war_target : ai_plr
- warmer_drier_result : terrain
- warmer_wetter_result : terrain
- warminglevel : packet_game_info
- warmth : player_ai
- warned_about_space : ai_dip_intel
- was_created : packet_player_info, player
- was_destroyed : fcwidget
- was_happy : city, packet_city_info, packet_edit_city
- waste : city, cityresult, packet_city_info
- wave : sample
- waypoint : named_sprites
- wc : DataFilter
- wdth : city_map
- web_client_connections : civ_game
- weight : terrain_select
- weighted : cm_fitness
- wet_condition : terrain_select
- wetness : civ_map
- wheel_down : fc_sidewidget
- wheel_up : fc_sidewidget
- wheelEvent() : fc_sidewidget, impr_info, impr_item, minimap_view, unit_info, unit_item, units_select, unittype_item
- when_change : production_widget
- whichtab_radio : city_dialog
- widget : city_dialog, editbar, editinfobox, objprop, property_editor, property_page, widget
- widget_list : option_dialog_optset
- widget_map : option_dialog
- width : animation, city_report_spec, overview, research_diagram, small_sprite, trade_route_line, video_mode, view
- wildcard : conn_pattern
- win : happiness_dialog
- window : gui_dialog, notify_goto_dialog, overview
- winner : packet_endgame_player
- winner_hp_end : animation
- winner_hp_start : animation
- winner_tile : animation
- withdraw_but : plr_report
- wlcb : city
- wonder_city : adv_data
- wonder_label : plr_report
- wonder_str : plr_widget
- wonders : intel_wonder_dialog, packet_player_info, player, player_score
- word_list : chat_listener
- work : wl_editor
- work_add_but : city_dialog
- work_next_but : city_dialog
- work_prev_but : city_dialog
- work_raise_chance : packet_ruleset_game, packet_ruleset_unit, veteran_level
- work_rem_but : city_dialog
- worked : named_sprites, packet_tile_info, tile
- worked_tile : named_sprites
- worked_tile_overlay : named_sprites
- worked_tiles : loaddata
- worker : packet_ruleset_unit, unit_type
- worker_counts : partial_solution
- worker_positions : cm_result
- worker_type : ai_city
- worker_want : ai_city
- workers : ai_plr
- workers_frozen : city
- workers_map : cm_state
- worklist : city, city_dialog, city_icon, global_worklist, option_dialog, packet_city_info, packet_city_worklist
- WORKLIST_ADD : city_widget
- WORKLIST_CHANGE : city_widget
- worklist_copy : wl_editor
- worklist_counter : wl_editor
- worklist_del() : city_dialog
- worklist_down() : city_dialog
- worklist_name : wl_editor
- worklist_up() : city_dialog
- worklists : civclient
- world_map_clause() : diplo_wdg
- world_peace_start : civ_game
- world_peace_turns : packet_game_info
- worse_types : cm_tile_type
- worst_worked : texai_tile_state
- worth : ai_city
- wrap_id : civ_map, packet_map_info, packet_set_topology
- wrap_property : universals_u
- write_settings() : fc_client